Forums

OverviewFelgo 2 Support (Qt 5) › Installation Issues Felgo Qt 5

Viewing 15 posts - 76 through 90 (of 105 total)
  • Author
    Posts
  • #15985

    Pierre

    Hello,

    I have a fresh install of Felgo 2 and when I build/run any project, whether it’s a new one from a template or from the source code of one of the sample (Component Showcase for example) I only get this :

    :-1: erreur : collect2: error: ld returned 1 exit status

    I made sure I already installed the dependencies :

    sudo apt-get install g++ libglu1-mesa-dev libgstreamer-plugins-base0.10-0 build-essential

    I tried deleting the FelgoSDK folder and running the installer again with no success.

     

    Could anyone help me ?

    Thanks,

     

    Edit :

    sudo apt-get install libpulse-dev Fixed it !

     

    #16473

    Reynier Pupo Gómez

    Hi, I’m trying to compile v-play examples and it produces the error:

    Invalid json file: /home/ppx/FelgoSDK/Examples/Felgo/appdemos/Error in ” Util.asciify(“build-Showcase-Android_for_armeabi_v7a_GCC_4_9_Qt_5_8_0-Debug”)”: TypeError: Property ‘asciify’ of object Core::Internal::UtilsJsExtension(0x2a1e430) is not a function/android-libShowcase.so-deployment-settings.json

    14:54:11: The process “/home/ppx/FelgoSDK/5.8/android_armv7/bin/androiddeployqt” exited with code 2.

    Error while building/deploying project Showcase (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.8.0))

    When executing step “Build Android APK”

    #16480

    Günther
    Felgo Team

    Hi Reynier!

    The problem might be related to long project paths, which sometimes is an issue when building on Windows.

    Can you try to change the default build path to a short location?
    You can change the build path for your project in the Qt Creator “Projects” tab.

    Best,
    Günther

    #16482

    Christian
    Felgo Team

    Hi Reynier,

    what Linux version are you using?

    Does this issue also happen when you try to create & run a new project on Android (File / New Project / Empty Felgo Application) without any plugins?

    Cheers, Chris

    #16701

    Pushpit Virmani

    pls help

    cannot find missing dependancy qt59 win 64 msvc for vplay

     

    #16707

    Lorenz

    Hi Pushpit,

    You saw this error message due to server issues we experienced in the past days.

    Please try to run the installer again and you should be good to go!

    Cheers,

    Lorenz

    #16864

    Marco Antonio

    Hi

    I’ve downloaded & installed v-play today, however I’m stuck on this screen…

    (btw: my user, email & passwd are correct… I’ve tested the usr:pass in the web page)

    #16890

    Alex
    Felgo Team

    Hi Marco,

    Is there any progress after tapping the “Login” button?

    Thanks,

    Alex from Felgo

    #17302

    Darren

    Hi guys,

    Well you knew that if someone was going to have a problem installing the latest Felgo update then it would be me!

    I just tried updating to v 2.13.2 and very carefully followed the installation instructions because I know I always seem to break it somehow…

    Anyway – I updated the engine, then I ran the maintenance tool again and selected the Qt 5.9.2 android components, I chose the new Android kit in Qt Creator and lastly updated my android/build.gradle file.

    After all that, when I try to run my project on Android I get the following error in compilation:

    ..\TankzOFFLAPTOP\main.cpp:1:24: fatal error: QApplication: No such file or directory

    #include <QApplication>

    ^

    compilation terminated.

    Makefile:438: recipe for target ‘main.obj’ failed

    mingw32-make: *** [main.obj] Error 1

    22:43:02: The process “E:\FelgoSDK\Tools\mingw530_32\bin\mingw32-make.exe” exited with code 2.

    Error while building/deploying project Tankz (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.9.2 for Android armv7))

    When executing step “Make”

     

    Sorry for breaking it AGAIN! Please help….

     

    Darren

    #17304

    Günther
    Felgo Team

    Hi Darren,

    you are not at fault! 😉

    When installing / uninstalling components with the MaintenanceTool it sometimes does not update / load some packages correctly. The error

    ..\TankzOFFLAPTOP\main.cpp:1:24: fatal error: QApplication: No such file or directory
    

    indicates that the Build Kit you are building with does not contain the Felgo libraries -> so the MaintentanceTool added the new Qt 5.9.2 Android Kit, but failed to install the Felgo libs.

    Can you try removing and re-installing the Android Kit again to see if the tool correctly installs everything then?

    Best
    Günther

     

     

    #17307

    Darren

    Ahhhh… you see, you’re not just a pretty face Günther!

    Your advice worked and got me past that step so I no longer receive the Felgo libs error.  Instead I get a new error (see below).

     

    I thought I would be clever and resolve it myself by updating my Android SDK Build Tools.  I have done that and updated my SDK Build Tools to v27 – which I can see there is now a 27.0.0 folder on my computer.  However I am still receiving the same error message below.  Do I need to change the setting in a file somewhere?  Or have I gone completely wrong?

     

    Thanks again, Darren.

     

    FAILURE: Build failed with an exception.

    * What went wrong:

    A problem occurred configuring root project ‘android-build’.

    > The SDK Build Tools revision (23.0.2) is too low for project ‘android-build’. Minimum required is 25.0.0

    * Try:

    Run with –stacktrace option to get the stack trace. Run with –info or –debug option to get more log output.

    BUILD FAILED

    Total time: 2.782 secs

    Warning: QML import could not be resolved in any of the import paths: QtQuick.Extras.Private.CppUtils

    Warning: QML import could not be resolved in any of the import paths: QtQuick.Extras.Private.CppUtils

    Building the android package failed!

    — For more information, run this command with –verbose.

    20:04:18: The process “E:\FelgoSDK\5.9.2\android_armv7\bin\androiddeployqt.exe” exited with code 14.

    Error while building/deploying project Tankz (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.9.2 for Android armv7))

    When executing step “Build Android APK”

    20:04:18: Elapsed time: 00:11.

    #17328

    Günther
    Felgo Team

    Hi Darren,

    The error indicates that you are using Build Tools 23.0.2, but the new SDK requires a minimum build tools version of 25.0.0.
    You can update your build tools with the Android SDK Manager (SDK Tools packages). I did a test with Android API version 27 and latest build tools version 27.0.0 – the Android build works fine with these versions.

    Can you have a look at your installed Android SDK build tools version?

    Before trying a new build, please fully clean the project / android build:

    • Close Qt Creator
    • Remove the shadow build directory (e.g. build-<app>-Android_for_armeabi_v7a-…) from your file system.
    • Remove the *.pro.user file in your project folder from the file system
    • Open the project in Qt Creator and select your Kits
    • Right click the project in Qt Creator and choose “Clean” followed by “Run qmake”
    • Build and run the project

    Do you still get the same issue with the exception and warning for a fresh and clean build?

    Best,
    Günther

     

    #17409

    Darren

    Günther,

    Thanks – that worked!

    I had correctly installed v.27 of the Android API, but had not removed the *.pro.user file or the shadow build directory.

    After completing that and following the rest of your steps it works perfectly!

    Thank you

    Darren.

    #17850

    Bas

    i have installed v-play on windows, the latest version.

    when i quit QT Creator and re open a project and try to run it, i get an error:

     

    Starting F:\qtprojects\build-TPServer-V_Play_Desktop_Qt_5_9_3_MinGW-Debug\debug\TPServer.exe…

    The program has unexpectedly finished.

    The process was ended forcefully.

    F:\qtprojects\build-TPServer-V_Play_Desktop_Qt_5_9_3_MinGW-Debug\debug\TPServer.exe crashed.

     

    also a new created project crashes immediatly

    i do not know what is wrong here.

     

    when debugging the app i get the following code:

    During startup program exited with code:

    0x0000139.

     

     

    #17852

    Bas

    when i run qtcreator in admin mode it works and i do not have any issues.

    don’t know how this can happen, but maybe i have broken some things on my windows 10 installation

Viewing 15 posts - 76 through 90 (of 105 total)

RSS feed for this thread

You must be logged in to reply to this topic.

Voted #1 for:

  • Easiest to learn
  • Most time saving
  • Best support

Develop Cross-Platform Apps and Games 50% Faster!

  • Voted the best supported, most time-saving and easiest to learn cross-platform development tool
  • Based on the Qt framework, with native performance and appearance on all platforms including iOS and Android
  • Offers a variety of plugins to monetize, analyze and engage users
FREE!
create apps
create games
cross platform
native performance
3rd party services
game network
multiplayer
level editor
easiest to learn
biggest time saving
best support